#pragma once
/*
 * Warren : 2006-10-09
 * This file includes the entire ssewrapper library
 *
 */

#include "ssewrapper/ssemask.h"
#include "ssewrapper/sse1float.h"
#include "ssewrapper/sse4floats.h"
#include "ssewrapper/sse4ints.h"



// conversion functions
__forceinline sse4Floats convert( const sse4Ints &input ) { return convert(cast(input.data)); }
__forceinline sse4Ints convert( const sse4Floats &input ) { return cast(convert(input.data)); }
__forceinline sse4Floats expand( const sse1Float &input ) { return expand(input.data, 0); }
__forceinline sse1Float extract( const sse4Floats &input, const unsigned __int8 index ) { return expand(input.data, index); }
