#pragma once
/*
 * Warren Hunt : 2006-10-09
 * General programming constructs
 *
 */

#include <assert.h>



// redefinition of reinterpret_cast to do what you think it would (this macro doesn't affect the templated function as the syntax is different)
#define reinterpret_cast(Type) *(Type *)&

// assume is better than assert; __assume can be used in compiler optimizations
#define assume(expression) {assert(expression); __assume(expression);}

